#include "BRIDLEInit_OEM.h"
#include "bridle_oemsvc.h"

// this needs to be user read-only...
#if __ARMCC_VERSION >= 120000 // ADS 1.2
#pragma arm section zidata = "bridle_svc_rw_usr_ro"
#endif // __ARMCC_VERSION >= 120000 // ADS 1.2
uint32 BRIDLE_SUBSYS_NO(oemsvc);
#if __ARMCC_VERSION >= 120000 // ADS 1.2
#pragma arm section zidata
#endif // __ARMCC_VERSION >= 120000 // ADS 1.2


BRIDLE_DECLARE_SUBSYS_HANDLER_TABLE(oemsvc);

BRIDLE_DECLARE_GENERIC_SUBSYS_SWIHANDLER(oemsvc)

int bridle_oemsvc_RegisterSubSystem(void *po)
{

   BRIDLE_INIT_SUBSYS_HANDLER_TABLE(oemsvc,OEM_SVCSimpleBeep);
   BRIDLE_INIT_SUBSYS_HANDLER_TABLE(oemsvc,OEM_SVCGetConfig);
   BRIDLE_INIT_SUBSYS_HANDLER_TABLE(oemsvc,OEM_SVCSetConfig);
   BRIDLE_INIT_SUBSYS_HANDLER_TABLE(oemsvc,OEM_SVCIsVocCapable);
   BRIDLE_INIT_SUBSYS_HANDLER_TABLE(oemsvc,OEM_SVCdisp_get_info);

   return BRIDLE_REGISTER_SUBSYS(oemsvc);
}

